

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
html {
  font-size: 24px;
  line-height: 1.44;
  height: 100%;
  scroll-behavior: smooth;
  font-family: sexsmith, santa child ;
  color:#B48D55;
  background:#C89C97;
}
figcaption {
  width: 100%;
  text-align: center;
  font-size: 0.833rem;
  color: #608745;
}
#gallery{
  padding: 0.482rem;
  display: grid;
  gap: 0.482rem;
  
}
#gallery img{
  width: 100%;

}
header img{
  width: 100%;

}
#gallery img{
  max-width: 400px;
  object-fit: cover;
  aspect-ratio: 16/9;
}
#gallery figcaption, dialog figcaption{
  position: relative;
  transform: translateY(-1.482rem);
  background: #9B97C9;
}
dialog{
  max-width:fit-content;
  max-height: 95vh;
  overflow: hidden;
  margin: 0 auto;
  top: 10vh;
}
dialog img{
  max-width: 90vw;
  max-height: 80vh;

}
footer{
  width: 100vw;
  background-color:#C99DE8 ;
  color:#B48D55;
}

@media screen and (min-width: 400px) {
  #gallery{
    grid-template-columns: 1fr 1fr;
  }
  
}
@media screen and (min-width: 800px) {
  #gallery{
    grid-template-columns: 1fr 1fr 1fr;
  }
  
}
@media screen and (min-width: 1200px) {
  #gallery{
    grid-template-columns: repeat(4, 1fr);
  }
  
}